Bug 768621

Summary: [abrt] gedit-3.2.5-1.fc16: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Juraci Paixão Kröhling <jpkrohling>
Component: pygobject3Assignee: John (J5) Palmieri <johnp>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: dmalcolm, foohuu, icq, ivazqueznet, jkeck, johnp, jonathansteffan, rstrode, scampa.giovanni, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:3a7a6cec15bc8ba92e4e7ebb61f763ddd97aa936
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 10:09:39 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: dso_list
none
File: build_ids
none
File: smolt_data
none
File: maps
none
File: backtrace none

Description Juraci Paixão Kröhling 2011-12-17 06:44:17 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        gedit
crash_function: g_settings_backend_unsubscribe
executable:     /usr/bin/gedit
kernel:         3.1.5-2.fc16.x86_64
pid:            7179
pwd:            /home/jpkrohling
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Sa 17 Dez 2011 12:23:25 CET
uid:            1000
username:       jpkrohling

backtrace:      Text file, 24353 bytes
build_ids:      Text file, 4797 bytes
dso_list:       Text file, 14042 bytes
maps:           Text file, 55380 bytes
smolt_data:     Text file, 3499 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=guarana
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=82d87ec39c893ebeaabd735b00000017-1324034856.170790-66588614
:JBOSS_HOME=/mnt/data/tools/jboss-as-7.1.0.Beta1b
:IMSETTINGS_MODULE=none
:USER=jpkrohling
:USERNAME=jpkrohling
:MAIL=/var/spool/mail/jpkrohling
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jpkrohling/.local/bin:/home/jpkrohling/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jpkrohling
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/jpkrohling
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=jpkrohling
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Kvs6FQDFNe,guid=c15db5894fa51442eb76d938000000e2
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jpkrohling
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-jpkrohling-DHXj2N/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1243,unix/unix:/tmp/.ICE-unix/1243
:GNOME_KEYRING_CONTROL=/tmp/keyring-YNDZpz
:GPG_AGENT_INFO=/tmp/keyring-YNDZpz/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-YNDZpz/ssh
:LC_TIME=de_DE.utf8
:LC_NUMERIC=de_DE.utf8
:LC_MONETARY=de_DE.utf8
:LC_MEASUREMENT=de_DE.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1504-guarana-gedit-2_TIME86372052
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7179

var_log_messages:
:Dec 11 16:44:47 guarana yum[12850]: Installed: gedit-plugins-3.2.1-1.fc16.x86_64
:Dec 16 11:35:30 guarana kernel: [610685.904163] gedit[3636]: segfault at 0 ip 00000035cd499c80 sp 00007ffff4fd8b78 error 4 in libgio-2.0.so.0.3000.1[35cd400000+139000]
:Dec 16 11:35:31 guarana abrt[3642]: Saved core dump of pid 3636 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-16-11:35:30-3636 (49836032 bytes)
:Dec 16 11:35:36 guarana kernel: [610691.737044] gedit[3662]: segfault at 0 ip 00000035cd499c80 sp 00007fffc2657098 error 4 in libgio-2.0.so.0.3000.1[35cd400000+139000]
:Dec 16 11:35:36 guarana abrt[3668]: Not dumping repeating crash in '/usr/bin/gedit'
:Dec 16 11:35:56 guarana kernel: [610712.028766] gedit[3735]: segfault at 0 ip 00000035cd499c80 sp 00007fffa99bb5a8 error 4 in libgio-2.0.so.0.3000.1[35cd400000+139000]
:Dec 16 11:35:57 guarana abrt[3741]: Saved core dump of pid 3735 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-16-11:35:56-3735 (49844224 bytes)
:Dec 16 11:47:16 guarana yum[3765]: Updated: 2:gedit-3.2.5-1.fc16.x86_64
:Dec 17 12:23:25 guarana kernel: [86224.215566] gedit[7179]: segfault at 0 ip 00000035cd499c80 sp 00007fff92412c08 error 4 in libgio-2.0.so.0.3000.1[35cd400000+139000]
:Dec 17 12:23:25 guarana abrt[7186]: Saved core dump of pid 7179 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-17-12:23:25-7179 (49836032 bytes)

xsession_errors:
:(gedit:7179): GLib-GIO-CRITICAL **: Settings schema 'org.gnome.gedit.plugins.restoretabs' is not installed
:(gedit:7179): GLib-GIO-CRITICAL **: g_settings_get_key_info: assertion `settings->priv->schema != NULL' failed
:![1324121028,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTIONabrt-applet: repeated problem in gedit-3.2.5-1.fc16, not showing the notification
Comment 1 Juraci Paixão Kröhling 2011-12-17 06:44:20 EST
Created attachment 548176 [details]
File: dso_list
Comment 2 Juraci Paixão Kröhling 2011-12-17 06:44:22 EST
Created attachment 548177 [details]
File: build_ids
Comment 3 Juraci Paixão Kröhling 2011-12-17 06:44:25 EST
Created attachment 548178 [details]
File: smolt_data
Comment 4 Juraci Paixão Kröhling 2011-12-17 06:44:27 EST
Created attachment 548179 [details]
File: maps
Comment 5 Juraci Paixão Kröhling 2011-12-17 06:44:30 EST
Created attachment 548180 [details]
File: backtrace
Comment 6 Juraci Paixão Kröhling 2011-12-17 06:50:48 EST
Not sure how to reproduce the issue, but it happens everytime you open gedit. 

After looking at the backtrace, I realized that it seems to be related to one specific plugin (restoretabs). 

Workaround:

1) Move ~/.gnome/gedit and ~/.local/share/gedit to /tmp
2) Start gedit (it should start without issues).
3) Close gedit
4) Move back the directories from step 1.
Comment 7 Heiko Westermann 2012-01-09 05:58:55 EST
I installed the gedit-plugin package, while running gedit. i then activated and deactivated the "draw spaces and tabs" plugin. before that, i also activated/deactivated other plugins.

rating: 4
Package: gedit-3.2.5-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 8 abrt-bot 2012-03-20 11:38:18 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component python, pygobject3 or glib2 instead of component gedit, reassigning to python.

Bug #749754 from component gnome-tweak-tool was found to be similar to this bug.

This comment is automatically generated.
Comment 9 abrt-bot 2012-03-20 11:38:32 EDT
*** Bug 749754 has been marked as a duplicate of this bug. ***
Comment 10 Dave Malcolm 2012-03-21 13:46:38 EDT
Looking at attachment 548180 [details], thread 1 is crashing, with a NULL pointer deref in g_settings_backend_unsubscribe.

#0  g_settings_backend_unsubscribe (backend=0x0, name=0x0) at gsettingsbackend.c:859
No locals.
#1  0x00000035cd49c495 in g_settings_finalize (object=0x2497680) at gsettings.c:555
        settings = 0x2497680
#2  0x00000035ccc1145d in g_object_unref (_object=0x2497680) at gobject.c:2746
        __PRETTY_FUNCTION__ = "g_object_unref"
#3  0x00007ff78078d80d in pygobject_clear (self=0x1ff6780) at pygobject.c:1105
        _save = 0x14aadc0
#4  pygobject_dealloc (self=0x1ff6780) at pygobject.c:1015
No locals.
#5  0x00007ff781b88286 in subtype_dealloc (self=<Settings at remote 0x1ff6780>) at /usr/src/debug/Python-2.7.2/Objects/typeobject.c:1014
        type = 0x1b22360
        base = <optimized out>
        basedealloc = 0x7ff78078d740 <pygobject_dealloc>
#6  0x00007ff781b594c2 in frame_dealloc (f=Frame 0x263a300, for file /home/jpkrohling/.local/share/gedit/plugins/restoretabs/restoretabs.py, line 58, in on_window_show (uris=None))

Reassigning to pygobject3
Comment 11 Fedora End Of Life 2013-01-16 09:08:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 10:09:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.